API

Retrieve work hours

Retrieves a single work hours entry.

GET/v1/hq/work_hours/{work_hours_id}
AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

work_hours_id*string

Work Hours ID

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/work_hours/string"
{
  "id": "string",
  "company": "string",
  "entity_type": "employee",
  "entity_id": "string",
  "day": "monday",
  "periods": [
    {
      "starts_at": "09:00",
      "ends_at": "17:00",
      "is_closed": false
    }
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty
Empty
Empty